import { _ as __rest } from './tslib.es6-es.js';
import React__default from 'react';
import classnames from 'classnames';
import { S as Separator } from './Separator-es.js';

var styles = {"separator":"P9RktRZz8u4-","spinning":"s5WIhh8jh0o-"};

const OverlaySeparator = React__default.forwardRef(function OverlaySeparator(_a, ref) {
    var { className } = _a, props = __rest(_a, ["className"]);
    return (React__default.createElement(Separator, Object.assign({}, props, { ref: ref, className: classnames(styles.separator, className) })));
});

export { OverlaySeparator as O };
